// liveUpdate

// alles wat doen vind weer plaats binnen de drawMask-functie.
function drawMask(detection) {
  // Het gezichtherkenningsalgorithme herkent niet alleen het gezicht
  // maar ook verschillende punten op het gezicht. Deze kunnen we
  // ook tekenen.

  // We 'loopen', ofwel itereren, over de verschillende punten
  // zo kunnen we ieder punt op het gezicht tekenen
  // zie ook de cheatsheet voor een overzicht van punten
  for (let nr in detection.points) {

    // we zoeken de coordinaten op.
    // 'variabele' p heeft nu de x, en y-waarden van het punt
    p = detection.points[nr]

    // voordat er getekend wordt bepalen we eerst de stijl:
    stroke(255, 0, 0) // de kleur van de omlijning
    strokeWeight(5) // het formaat

    point(p.x, p.y) // teken het punt: een x- en y-coordinaat

    // daarna het nummer erbij.
    noStroke() // deze heeft geen omlijning
    textSize(12) // bepaal de grootte van de tekst
    fill(255, 255, 255) // de vulkleur
    // schrijf het nummer:
    text(nr, p.x, p.y);
  }
} // hier eindigd de drawMask functie


/*
 * Wat nu?
 * Probeer de kleur van de punten en de tekst aan te passen
 * Maak de tekst groter of kleiner
 * Probeer ook eens de tekst aan te passen!
 */